'use strict';

var chmod = require('../resources/files/chmod.js');
var cp = require('../resources/files/cp.js');
var flush = require('../resources/files/flush.js');
var ls = require('../resources/files/ls.js');
var mkdir = require('../resources/files/mkdir.js');
var mv = require('../resources/files/mv.js');
var read = require('../resources/files/read.js');
var rm = require('../resources/files/rm.js');
var stat = require('../resources/files/stat.js');
var touch = require('../resources/files/touch.js');
var write = require('../resources/files/write.js');

var filesRoutes = [
  {
    method: 'POST',
    path: '/api/v0/files/chmod',
    ...chmod.chmodResource
  },
  {
    method: 'POST',
    path: '/api/v0/files/cp',
    ...cp.cpResource
  },
  {
    method: 'POST',
    path: '/api/v0/files/flush',
    ...flush.flushResource
  },
  {
    method: 'POST',
    path: '/api/v0/files/ls',
    ...ls.lsResource
  },
  {
    method: 'POST',
    path: '/api/v0/files/mkdir',
    ...mkdir.mkdirResource
  },
  {
    method: 'POST',
    path: '/api/v0/files/mv',
    ...mv.mvResource
  },
  {
    method: 'POST',
    path: '/api/v0/files/read',
    ...read.readResource
  },
  {
    method: 'POST',
    path: '/api/v0/files/rm',
    ...rm.rmResource
  },
  {
    method: 'POST',
    path: '/api/v0/files/stat',
    ...stat.statResource
  },
  {
    method: 'POST',
    path: '/api/v0/files/touch',
    ...touch.touchResource
  },
  {
    method: 'POST',
    path: '/api/v0/files/write',
    ...write.writeResource
  }
];

module.exports = filesRoutes;
