'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var bitswap = require('./bitswap.js');
var block = require('./block.js');
var bootstrap = require('./bootstrap.js');
var config = require('./config.js');
var dag = require('./dag.js');
var debug = require('./debug.js');
var dht = require('./dht.js');
var dns = require('./dns.js');
var filesRegular = require('./files-regular.js');
var files = require('./files.js');
var id = require('./id.js');
var key = require('./key.js');
var name = require('./name.js');
var object = require('./object.js');
var pin = require('./pin.js');
var ping = require('./ping.js');
var pubsub = require('./pubsub.js');
var repo = require('./repo.js');
var resolve = require('./resolve.js');
var shutdown = require('./shutdown.js');
var stats = require('./stats.js');
var swarm = require('./swarm.js');
var version = require('./version.js');
var webui = require('./webui.js');

const routes = [];
routes.push(...bitswap, ...block, ...bootstrap, ...config, ...dag, ...debug, ...dht, ...dns, ...filesRegular, ...files, ...id, ...key, ...name, ...object, ...pin, ...ping, ...pubsub, ...repo, ...resolve, ...shutdown, ...stats, ...swarm, ...version, ...webui);

exports.routes = routes;
